Loading...
Searching...
No Matches
RDKit::MolEnumerator::RepeatUnitOp Class Reference

Molecule enumeration operation corresponding to SRUs. More...

`#include <MolEnumerator.h>`

Inheritance diagram for RDKit::MolEnumerator::RepeatUnitOp:

## Public Member Functions

| RepeatUnitOp ()
| RepeatUnitOp (const std::shared_ptr< ROMol > mol)
| RepeatUnitOp (const ROMol &mol)
| RepeatUnitOp (const RepeatUnitOp &other)
RepeatUnitOp & | operator= (const RepeatUnitOp &other)
std::vector< size_t > | getVariationCounts () const override
| \override
std::unique_ptr< ROMol > | operator() (const std::vector< size_t > &which) const override
| \override
void | initFromMol (const ROMol &mol) override
| \override
std::unique_ptr< MolEnumeratorOp > | copy () const override
| \override
Public Member Functions inherited from RDKit::MolEnumerator::MolEnumeratorOp
| MolEnumeratorOp ()
virtual | ~MolEnumeratorOp ()

## Public Attributes

size_t | d_maxNumRounds = std::numeric_limits<size_t>::max()

## Static Public Attributes

static const size_t | DEFAULT_REPEAT_COUNT

## Detailed Description

Molecule enumeration operation corresponding to SRUs.

This should be considered a work-in-progress and to be somewhat fragile.

NOTE: The SRU labels are parsed to infer the desired number of repetitions allowed.

Known limitations:

- Overlapping SRUs, i.e. where one monomer is contained within another, are not supported

Definition at line 171 of file MolEnumerator.h.

## Constructor & Destructor Documentation

## RepeatUnitOp() [1/4]

RDKit::MolEnumerator::RepeatUnitOp::RepeatUnitOp | ( |  | ) |

inline

Definition at line 173 of file MolEnumerator.h.

Referenced by copy(), operator=(), and RepeatUnitOp().

## RepeatUnitOp() [2/4]

RDKit::MolEnumerator::RepeatUnitOp::RepeatUnitOp | ( | const std::shared_ptr< ROMol > | mol | ) |

inline

Definition at line 174 of file MolEnumerator.h.

References initFromMol(), and PRECONDITION.

## RepeatUnitOp() [3/4]

RDKit::MolEnumerator::RepeatUnitOp::RepeatUnitOp | ( | const ROMol & | mol | ) |

inline

Definition at line 178 of file MolEnumerator.h.

References initFromMol().

## RepeatUnitOp() [4/4]

RDKit::MolEnumerator::RepeatUnitOp::RepeatUnitOp | ( | const RepeatUnitOp & | other | ) |

inline

Definition at line 179 of file MolEnumerator.h.

References d_maxNumRounds, and RepeatUnitOp().

## Member Function Documentation

## copy()

std::unique_ptr< MolEnumeratorOp > RDKit::MolEnumerator::RepeatUnitOp::copy | ( |  | ) | const

inline override virtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

Definition at line 217 of file MolEnumerator.h.

References RepeatUnitOp().

## getVariationCounts()

std::vector< size_t > RDKit::MolEnumerator::RepeatUnitOp::getVariationCounts | ( |  | ) | const

override virtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

## initFromMol()

void RDKit::MolEnumerator::RepeatUnitOp::initFromMol | ( | const ROMol & | mol | ) |

override virtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

Referenced by RepeatUnitOp(), and RepeatUnitOp().

## operator()()

std::unique_ptr< ROMol > RDKit::MolEnumerator::RepeatUnitOp::operator() | ( | const std::vector< size_t > & | which | ) | const

override virtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

## operator=()

RepeatUnitOp & RDKit::MolEnumerator::RepeatUnitOp::operator= | ( | const RepeatUnitOp & | other | ) |

inline

Definition at line 190 of file MolEnumerator.h.

References d_maxNumRounds, and RepeatUnitOp().

## Member Data Documentation

## d_maxNumRounds

size_t RDKit::MolEnumerator::RepeatUnitOp::d_maxNumRounds = std::numeric_limits<size_t>::max()

Definition at line 222 of file MolEnumerator.h.

Referenced by operator=(), and RepeatUnitOp().

## DEFAULT_REPEAT_COUNT

const size_t RDKit::MolEnumerator::RepeatUnitOp::DEFAULT_REPEAT_COUNT

static

Definition at line 221 of file MolEnumerator.h.

The documentation for this class was generated from the following file:

- MolEnumerator.h